import styled, { css } from 'styled-components'

export const TextBase = styled.span`
  ${({
    size,
    weight,
    colour,
    align,
    lineHeight,
    opacity = 1,
    $fontFamily: fontFamily,
    selectable,
    underline,
  }) => css`
    font-family: ${fontFamily};
    font-weight: ${weight};
    text-align: ${align};
    color: ${colour};
    line-height: ${lineHeight};
    opacity: ${opacity};
    user-select: ${selectable ? 'inherit' : 'none'};
    text-decoration: ${underline ? 'underline' : 'none'};
    font-size: ${size}px;
  `}
`
